# SkillCorner Analysis Library
The SkillCorner Analysis Library is a Python package that provides functions to create standard visualizations frequently used by the SkillCorner data analysis team. It also includes functions to normalize SkillCorner data in various ways. This package is designed to streamline the data analysis process and facilitate the creation of insightful visualizations.

## Package Structure (skillcorner_analysis_lib)
![package structure](output/example_plots/package_structure.png)

## Current color usage guide

- Background data/players: <span style="color:#D9D9D6">#D9D9D6</span>
- Primary highlight/target player colour: <span style="color:#00C800">#00C800</span>
- Secondary highlight/comparison player: <span style="color:#26BF52">#26BF52</span>
- Axes & texts: <span style="color:#001400">#001400</span>

## Plot Examples
### Bar Plot
![standard bar plot](output/example_plots/bar_plot.png)
### Scatter Plot
![standard scatter plot](output/example_plots/scatter_plot.png)
### Swarm/Violin Plot
![standard scatter plot](output/example_plots/swarm_violin_plot.png)

## Contributing
If you encounter any issues, have suggestions, or would like to contribute to the SkillCorner Analysis Library, please visit the GitHub repository. We welcome your contributions and appreciate your support in making this package better.
